# If the player is standing still, increment the AFK time
execute as @a[predicate=!bojos_afk_display:moving] run scoreboard players add @s bojos_afk_display.afk_time 1

# The player has been AFK for exactly the minimum time
# Give the player the AFK tag
execute as @a if score @s bojos_afk_display.afk_time = &minimum_afk_time_seconds bojos_afk_display.values run tag @s add bojos_afk_display.afk
# Add the player to the AFK team
execute as @a if score &make_afk_names_gray bojos_afk_display.values matches 1 if score @s bojos_afk_display.afk_time = &minimum_afk_time_seconds bojos_afk_display.values run team join bojos_afk_display.afk @s
# Send the server a message that the player is AFK (if enabled)
execute as @a if score &send_afk_notification bojos_afk_display.values matches 1 if score @s bojos_afk_display.afk_time = &minimum_afk_time_seconds bojos_afk_display.values run function bojos_afk_display:tick/afk/send_afk_notification

# If the players AFK time is greater than the minimum AFK time, and the player is moving, the player is no longer AFK
# Remove the AFK tag from the player
execute as @a[predicate=bojos_afk_display:moving] if score @s bojos_afk_display.afk_time >= &minimum_afk_time_seconds bojos_afk_display.values run tag @s remove bojos_afk_display.afk
# Remove the player from the AFK team
execute as @a[predicate=bojos_afk_display:moving] if score &make_afk_names_gray bojos_afk_display.values matches 1 if score @s bojos_afk_display.afk_time >= &minimum_afk_time_seconds bojos_afk_display.values run team leave @s
# Send the server a message that the player is no longer AFK (if enabled)
execute as @a[predicate=bojos_afk_display:moving] if score &send_wake_up_notification bojos_afk_display.values matches 1 if score @s bojos_afk_display.afk_time >= &minimum_afk_time_seconds bojos_afk_display.values run function bojos_afk_display:tick/afk/send_wake_up_notification

# If the player is moving, reset the AFK time
execute as @a[predicate=bojos_afk_display:moving] run scoreboard players set @s bojos_afk_display.afk_time 0

# Set the player's AFK time old value to the current value
execute as @a run scoreboard players operation @s bojos_afk_display.afk_time_old = @s bojos_afk_display.afk_time